<?php

require_once "conn.php";

$stmt = $conn->prepare("SELECT p.id, CONCAT(tweb_p.nama) AS pelapak, t.telepon, pk.kategori AS produk_kategori, p.nama, p.harga, p.satuan, p.potongan, p.tipe_potongan, p.deskripsi, p.foto
                        FROM produk p
                        INNER JOIN tweb_penduduk tweb_p ON tweb_p.id = (SELECT pelapak.id_pend FROM pelapak WHERE pelapak.id = p.id_pelapak)
                        INNER JOIN tweb_penduduk t ON p.id_pelapak = t.id
                        INNER JOIN produk_kategori pk ON p.id_produk_kategori = pk.id");

$stmt->execute();
$stmt->bind_result($id, $pelapak, $telepon, $produk_kategori, $nama, $harga, $satuan, $potongan, $tipe_potongan, $deskripsi, $foto);

$lapak = array();

while ($stmt->fetch()) {
    $temp = array();
    $temp['id'] = $id;
    $temp['pelapak'] = $pelapak;
    $temp['telepon'] = ltrim($telepon, '0');
    $temp['produk_kategori'] = $produk_kategori;
    $temp['nama'] = $nama;

    // Menghitung harga berdasarkan tipe potongan
    if ($tipe_potongan == 1 && $potongan != 0) {
        $jumlah1 = $harga * ($potongan / 100);
    } elseif ($tipe_potongan == 2) {
        $jumlah1 = $potongan;
    } else {
        $jumlah1 = 0;
    }

    $temp['harga'] = $harga;
    $temp['satuan'] = $satuan;
    $temp['potongan'] = $potongan;
    $temp['tipe_potongan'] = $tipe_potongan;
    $temp['deskripsi'] = $deskripsi;

    // Memproses data foto
    $parsed_foto = json_decode($foto, true);
    $first_photo = $parsed_foto[0];
    $temp['foto'] = $first_photo;

    // Menjumlahkan harga dengan potongan dan menyimpannya ke total_harga
    $total_harga = $harga - $jumlah1;
    $temp['total_harga'] = $total_harga;

    array_push($lapak, $temp);
}

echo json_encode($lapak);

?>
